Bug 1459296 - Unable to start Samba services after upgrade to version 4.6.3-2
Unable to start Samba services after upgrade to version 4.6.3-2
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity urgent
: ---
: RHGS 3.3.0
Assigned To: Michael Adam
Vivek Das
: Regression, Reopened
Depends On:
Blocks: 1417151
  Show dependency treegraph
 
Reported: 2017-06-06 14:01 EDT by Vivek Das
Modified: 2017-08-02 05:30 EDT (History)
8 users (show)

See Also:
Fixed In Version: samba-4.6.3-3.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-07 09:05:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vivek Das 2017-06-06 14:01:15 EDT
Description of problem:
After upgrading the cluster to samba 4.6.3-2 samba services are not getting started. They remain in failed state. 

Version-Release number of selected component (if applicable):
samba-4.6.3-2.el7rhgs.x86_64
glusterfs-server-3.8.4-27.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. On an existing CTDB setup
2. Stop CTDB services
3. Upgrade samba to 4.6.3-2
4. Start CTDB services
5. Check for smb services status

Actual results:
Samba does not start

Expected results:
Samba should be active after upgrade

Additional info:
Jun  6 17:35:08 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:08 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:08 dhcp43-28 systemd: smb.service failed.
Jun  6 17:35:13 dhcp43-28 systemd: Starting Samba SMB Daemon...
Jun  6 17:35:13 dhcp43-28 smbd: /usr/sbin/smbd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
Jun  6 17:35:13 dhcp43-28 systemd: smb.service: main process exited, code=exited, status=127/n/a
Jun  6 17:35:13 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:13 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:13 dhcp43-28 systemd: smb.service failed.
Jun  6 17:35:19 dhcp43-28 systemd: Starting Samba SMB Daemon...
Jun  6 17:35:19 dhcp43-28 smbd: /usr/sbin/smbd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
Jun  6 17:35:19 dhcp43-28 systemd: smb.service: main process exited, code=exited, status=127/n/a
Jun  6 17:35:19 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:19 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:19 dhcp43-28 systemd: smb.service failed.
Jun  6 17:35:24 dhcp43-28 systemd: Starting Samba SMB Daemon...
Jun  6 17:35:25 dhcp43-28 smbd: /usr/sbin/smbd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
Jun  6 17:35:25 dhcp43-28 systemd: smb.service: main process exited, code=exited, status=127/n/a
Jun  6 17:35:25 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:25 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:25 dhcp43-28 systemd: smb.service failed.
Jun  6 17:35:30 dhcp43-28 systemd: Starting Samba SMB Daemon...
Jun  6 17:35:30 dhcp43-28 smbd: /usr/sbin/smbd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
Jun  6 17:35:30 dhcp43-28 systemd: smb.service: main process exited, code=exited, status=127/n/a
Jun  6 17:35:30 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:30 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:30 dhcp43-28 systemd: smb.service failed.
Jun  6 17:35:36 dhcp43-28 systemd: Starting Samba SMB Daemon...
Jun  6 17:35:36 dhcp43-28 smbd: /usr/sbin/smbd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
Jun  6 17:35:36 dhcp43-28 systemd: smb.service: main process exited, code=exited, status=127/n/a
Jun  6 17:35:36 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:36 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:36 dhcp43-28 systemd: smb.service failed.
Jun  6 17:35:41 dhcp43-28 systemd: Starting Samba SMB Daemon...
Jun  6 17:35:41 dhcp43-28 smbd: /usr/sbin/smbd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
Jun  6 17:35:41 dhcp43-28 systemd: smb.service: main process exited, code=exited, status=127/n/a
Jun  6 17:35:41 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:41 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:41 dhcp43-28 systemd: smb.service failed.
Jun  6 17:35:46 dhcp43-28 systemd: Starting Samba SMB Daemon...
Jun  6 17:35:47 dhcp43-28 smbd: /usr/sbin/smbd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
Jun  6 17:35:47 dhcp43-28 systemd: smb.service: main process exited, code=exited, status=127/n/a
Jun  6 17:35:47 dhcp43-28 systemd: Failed to start Samba SMB Daemon.
Jun  6 17:35:47 dhcp43-28 systemd: Unit smb.service entered failed state.
Jun  6 17:35:47 dhcp43-28 systemd: smb.service failed.
Comment 4 Vivek Das 2017-06-07 09:05:21 EDT
Based on comment 3 closing this as not a bug.
Comment 5 Raghavendra Talur 2017-06-08 08:34:23 EDT
IMO, we should have updated the dependencies in spec file for the krb libs to whatever version provides the new function krb5_get_init_creds_opt_set_pac_request() .

As per https://web.mit.edu/kerberos/krb5-devel/doc/appdev/refs/api/krb5_get_init_creds_opt_set_pac_request.html , it is in 1.15 version.

I request that the bug be re-opened.
Comment 6 Vivek Das 2017-06-08 09:35:19 EDT
Based on comment 5 re-opening the bug as a valid bug.
Comment 7 Atin Mukherjee 2017-06-13 01:37:49 EDT
As discussed with Talur, this needs to be fixed and hence providing devel_ack
Comment 12 Vivek Das 2017-07-06 08:58:16 EDT
Verified , works as per Comment 10.
Comment 13 Geordie Guy 2017-08-02 05:30:06 EDT
I'm not sure if this is the same thing or not, from the logs of an automated CI/CD pipeline - I've not seen this in the last 150 builds;

2017-08-02 08:05:33,932 P3717 [INFO] 	[DEBUG MESSAGE]:  Creating credentials file for CIFS
2017-08-02 08:05:33,932 P3717 [INFO] 	[DEBUG MESSAGE]:  Setting permissions on credentials file
2017-08-02 08:05:33,932 P3717 [INFO] 	[DEBUG MESSAGE]:  Creating SMB share for log folder
2017-08-02 08:05:33,932 P3717 [INFO] 	[DEBUG MESSAGE]: Setting smb password for inform user
2017-08-02 08:05:33,933 P3717 [INFO] 	unable to write 'random state'
2017-08-02 08:05:33,933 P3717 [INFO] 	smbpasswd: relocation error: /usr/lib64/samba/libgse-samba4.so: symbol krb5_get_init_creds_opt_set_pac_request, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
2017-08-02 08:05:33,933 P3717 [INFO] 	[DEBUG MESSAGE]:  SMB password is WuwnXIz+Ctt9NuJM1koj3Ua5Ks7S4XRz
2017-08-02 08:05:33,933 P3717 [INFO] 	[DEBUG MESSAGE]:  Connecting to CIFS
2017-08-02 08:05:33,933 P3717 [INFO] 	[DEBUG MESSAGE]:  Running mount -a to load CIFS
2017-08-02 08:05:33,933 P3717 [INFO] 	[DEBUG MESSAGE]:  Configuring Samba to start at boot
2017-08-02 08:05:33,933 P3717 [INFO] 	Note: Forwarding request to 'systemctl enable smb.service'.
2017-08-02 08:05:33,933 P3717 [INFO] 	Created symlink from /etc/systemd/system/multi-user.target.wants/smb.service to /usr/lib/systemd/system/smb.service.
2017-08-02 08:05:33,933 P3717 [INFO] 	[DEBUG MESSAGE]:  Starting SMB now
2017-08-02 08:05:33,933 P3717 [INFO] 	Redirecting to /bin/systemctl start  smb.service
2017-08-02 08:05:33,933 P3717 [INFO] 	Job for smb.service failed because the control process exited with error code. See "systemctl status smb.service" and "journalctl -xe" for details.

Note You need to log in before you can comment on or make changes to this bug.